Bulk update safe lists for a workspace
curl --request PATCH \
--url https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/workspaces/{workspaceId}/files/safe-lists/bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"safeListIds": [
"asdfgh12345"
],
"create": {
"safeDomains": [
"foo.com",
"bar.com"
],
"safeEmailIds": [
"foo@example.com"
],
"safeFiles": [
{
"name": "foo",
"id": "asdfgh12345"
}
],
"safeGroups": [
{
"name": "foo",
"id": "asdfgh12345"
}
]
}
}
'import requests
url = "https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/workspaces/{workspaceId}/files/safe-lists/bulk"
payload = {
"safeListIds": ["asdfgh12345"],
"create": {
"safeDomains": ["foo.com", "bar.com"],
"safeEmailIds": ["foo@example.com"],
"safeFiles": [
{
"name": "foo",
"id": "asdfgh12345"
}
],
"safeGroups": [
{
"name": "foo",
"id": "asdfgh12345"
}
]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
safeListIds: ['asdfgh12345'],
create: {
safeDomains: ['foo.com', 'bar.com'],
safeEmailIds: ['foo@example.com'],
safeFiles: [{name: 'foo', id: 'asdfgh12345'}],
safeGroups: [{name: 'foo', id: 'asdfgh12345'}]
}
})
};
fetch('https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/workspaces/{workspaceId}/files/safe-lists/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Workspaces
Bulk update safe lists for a workspace
Add entries to multiple safe lists of a workspace in a single request.
PATCH
/
api
/
v1
/
organizations
/
{organizationId}
/
workspaces
/
{workspaceId}
/
files
/
safe-lists
/
bulk
Bulk update safe lists for a workspace
承認
レスポンス
200 - application/json
The response is of type object.
最終更新日 2026年7月10日
このページは役に立ちましたか?
⌘I

